stages:
- build
- release

build_image:
  stage: build  

  image: docker:stable

  services:
  - docker:dind

  variables:
    GIT_SUBMODULE_STRATEGY: recursive

  before_script:
    - docker info
    - apk update && apk add git

  script:
    - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN $CI_REGISTRY
    #- docker build --pull -t "$CI_REGISTRY_IMAGE:test" -f test_Dockerfile .
    #- docker push "$CI_REGISTRY_IMAGE:test"
    - docker build --pull -t "$CI_REGISTRY_IMAGE:latest" -f Dockerfile .
    - docker push "$CI_REGISTRY_IMAGE:latest"

  only:
    - master

  #uncomment to specify which executor to use
  tags:
    #uncomment to run with docker runner
    - docker
    #uncomment to  run with shell runner
    #- shell

